Add TODO about getMonotonicNSec() wrapping that can no longer happen.
ClosedPublic

Authored by nh2 on Sep 14 2017, 11:58 AM.

Details

Summary

Knowing this is important for followup commits, where we will subtract
getProcessElapsedTime() values from each other, in a way that assumes
that there is no wrapping every 49 days.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
nh2 created this revision.Sep 14 2017, 11:58 AM
bgamari accepted this revision.Sep 14 2017, 2:51 PM

Thanks!

This revision is now accepted and ready to land.Sep 14 2017, 2:51 PM
nh2 updated this revision to Diff 14048.Sep 22 2017, 12:45 PM

Rebase

nh2 updated this revision to Diff 14057.Sep 22 2017, 6:43 PM

Rebased

nh2 updated this revision to Diff 14118.Sep 26 2017, 8:26 AM

Rebase

This revision was automatically updated to reflect the committed changes.